@import url('https://fonts.googleapis.com/css2?family=Saira+Extra+Condensed:wght@100;300;400;600&display=swap');
$amarillo:#FEB902;
$naranja:#FEA702;
*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: 'Saira Extra Condensed', sans-serif;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}
body{
	// overflow: hidden;
}
.ui-loader {
	display: none !important;
}
.contenedor_personajes{
	width: 100vw;
	height: 100vh;
	background-position: center;
	background-size: cover;
	display: flex;
	align-items: center;
	padding: 25px;
	justify-content: center;
	flex-wrap: wrap;
	background-image: url('../images/backgrounds/bg-elige-rey-navidad-desktop.jpg');
	.title{
		width: 100%;
		text-align: center;
		h2{
			font-size: 26px;
			font-weight: bold;
			color: #fff;
			line-height: 32px;
			text-transform: uppercase;
		}
	}
	.personajes{
		max-width:960px;
		width: 100%;
		margin: 0 auto;
		display: flex;
		.p__cont{
			width: 100%;
			display: flex;
			align-items: center;
			.slide{
				width: 100%;
				background-color: transparent;
				display: flex;
				align-items: center;
				.personajes_slide{
					width: 100% !important;
					max-width:960px;
					display: flex;
					align-items: center;
					.p_item{
						width: (100%/5);
						padding: 0 5px;
						.item{
							width: 100%;
							cursor: pointer;
							.p_slide{
								width: 100%;
							}
							.p_hover{
								display: none;
							}
							&:hover{
								.p_slide{
									display: none;
								}
								.p_hover{
									display: block;
								}
							}
						}
					}
				}
			}
		}
	}
	.cta_boton{
		width: 100%;
		display: block;
		text-align: center;
		.s_auto{
			width: 200px;
			background-image: linear-gradient($amarillo, $naranja);
			color: #000;
			padding: 5px 10px;
			font-size: 18px;
			text-transform: uppercase;
			font-weight: bold;
			margin: 0 auto;
			cursor: pointer;
			// letter-spacing: 1px;
		}
	}
}
.personaje__view{
	width: 100%;
	position: fixed;
	background-color: rgba(0,0,0,0.5);
	height: 100%;
	z-index: 9000;
	top:0;
	padding: 20px;
	display: none;
	justify-content: center;
	align-items: center;
	@supports (-webkit-backdrop-filter: none) or (backdrop-filter: none) {
		.personaje__cont{
			width: 90%;
			height: 90%;
			-webkit-backdrop-filter: blur(5px);
	    	backdrop-filter: blur(5px);
			display: flex;
			position: relative;
			text-align: center;
			align-items: center;
			padding: 30px 70px;
			background-color: rgba(0,0,0,0.5);
			border-radius: 6px;
			.cerrar{
				position: absolute;
				top: 12px;
				right: 12px;
				cursor: pointer;
			}
			.personaje{
				width: 80%;
				margin: 0 auto;
				display: flex;
				align-items: center;
				.personaje_img{
					width: 40%;
					text-align: center;
					img{
						width: 50%;
					}
				}
				.p__descripcion{
					width: 60%;
					text-align: left;
					h3{
						color: #fff;
						font-weight: bold;
						letter-spacing: 1px;
						font-size: 26px;
						line-height: 32px;
						margin-bottom: 10px;
					}
					p{
						max-width: 380px;
						width: 100%;
						color: #fff;
						font-size: 16px;
						line-height: 20px;
						margin-bottom: 30px;
					}
					.cta__button{
						width: 100%;
						display: block;
						p{
							cursor: pointer;
							font-size: 18px;
							line-height: 28px;
							color: #000;
							font-weight: bold;
							padding: 5px 40px;
							width: 155px;
							background-color: $amarillo;
							text-transform: uppercase;
						}
					}
				}
			}
			.prev_p{
				position: absolute;
				left: 40px;
			}
			.next_p{
				position: absolute;
				right: 40px;
			}
		}
	}
}
.personaje__view_random{
	width: 100%;
	position: fixed;
	background-color: rgba(0,0,0,0.5);
	height: 100%;
	z-index: 9000;
	top:0;
	padding: 20px;
	display: none;
	justify-content: center;
	align-items: center;
	@supports (-webkit-backdrop-filter: none) or (backdrop-filter: none) {
		.personaje__cont{
			width: 90%;
			height: 90%;
			-webkit-backdrop-filter: blur(5px);
	    	backdrop-filter: blur(5px);
			display: flex;
			position: relative;
			text-align: center;
			align-items: center;
			padding: 30px 70px;
			background-color: rgba(0,0,0,0.5);
			border-radius: 6px;
			.cerrar{
				position: absolute;
				top: 12px;
				right: 12px;
				cursor: pointer;
			}
			.personaje{
				width: 80%;
				margin: 0 auto;
				display: flex;
				align-items: center;
				.personaje_img{
					width: 40%;
					text-align: center;
					img{
						width: 50%;
					}
				}
				.p__descripcion{
					width: 60%;
					text-align: left;
					h3{
						color: #fff;
						font-weight: bold;
						letter-spacing: 1px;
						font-size: 26px;
						line-height: 32px;
						margin-bottom: 10px;
					}
					p{
						max-width: 380px;
						width: 100%;
						color: #fff;
						font-size: 16px;
						line-height: 20px;
						margin-bottom: 30px;
					}
					.cta__button{
						width: 100%;
						display: block;
						p{
							cursor: pointer;
							font-size: 18px;
							line-height: 28px;
							color: #000;
							font-weight: bold;
							padding: 5px 10px;
							text-align: center;
							width: 190px;
							background-color: $amarillo;
							text-transform: uppercase;
						}
						.random{		
							background-color: rgba(255,255,255,0.2);
						}
					}
				}
			}
			.prev_p{
				position: absolute;
				left: 40px;
			}
			.next_p{
				position: absolute;
				right: 40px;
			}
		}
	}
}
.seleccion__view{
	width: 100vw;
	height: 100vh;
	background-position: 0 center;
	background-size: cover;
	display: none;
	align-items: center;
	justify-content: flex-end;
	padding-right: 5%;
	background-image: url('../images/backgrounds/splash-desktop-A124.jpg');
	.textos{
		max-width: 280px;
		width: 100%;
		padding: 20px 0;
		h2{
			color: #fff;
			font-size: 24px;
			font-weight: bold;
			letter-spacing: 1px;
			line-height: 30px;
			text-transform: uppercase;
		}
		p{
			margin-top: 20px;
			font-size: 16px;
			color: #fff;
			line-height: 20px;
			margin-bottom: 15px;
		}
		.next_step{
			font-size: 18px;
			font-weight: 600;
			color: #000;
			line-height: 28px;
			padding: 5px 40px;
			text-decoration: none;
			text-transform: uppercase;
			background-color: $amarillo;
		}
	}
}
@supports (-webkit-backdrop-filter: none) or (backdrop-filter: none) {	}
.ranking_personajes{
	width: 100vw;
	background-color: rgba(#222E3D,0.9);   
	height: 100vh;
	padding: 20px;
	display: none;
	position: relative;
	align-items: center;
	-webkit-backdrop-filter: blur(10px);
	backdrop-filter: blur(10px);
	.rp_cont{
		max-width: 760px;
		display: flex;
		width: 100%;
		flex-wrap: wrap;
		margin: 0 auto;
		align-items: center;
		.top{
			width: 40%;
			.position{
				display: block;
				p{
					font-size: 22px;
					font-weight: bold;
					color: #fff;
					span{
						font-size: 16px;
						margin-right: 2px;
					}
				}
			}
			.imagen{
				width: 100%;
				display: block;
				img{
					width: 90%;
				}
			}
			.nombre{
				width: 100%;
				text-align: right;
				font-size: 18px;
				color: #fff;
				text-shadow: 0px 3px 6px #00000080;
				text-transform: uppercase;
				padding-right: 30px;
				font-weight: bold;
				letter-spacing: 1px;
			}
		}
		.clasificacion{
			width: 60%;
			padding-left: 60px;
			.encabezado{
				width: 100%;
				display: flex;
				flex-wrap: wrap;
				align-items: center;
				padding-bottom: 10px;
				border-bottom: 	1px solid #fff;
				margin-bottom: 10px;
				.nombre{
					width: 70%;
					p{
						font-size: 16px;
						color: #fff;
						line-height: 19px;
						font-weight: bold;
						letter-spacing: 1px;
						text-shadow: 0px 3px 6px #00000080;
						text-transform: uppercase;
					}
				}
				.votos{
					width: 30%;
					text-align: right;
					p{
						text-shadow: 0px 3px 6px #00000080;
						color: #fff;
						text-transform: uppercase;
						font-size: 12px;
						letter-spacing: 1px;
					}
				}
			}
			.lista{
				width: 100%;
				display: flex;
				align-items: center;
				flex-wrap: wrap;
				padding: 2px 4px;
				.nombre{
					width: 70%;
					p{
						color:#fff;
						font-size: 16px;
						span{
							background-color: #00000066;
							padding: 0 8px;
							font-size: 14px;
							font-weight: bold;
							border-radius: 4px;
							margin-right: 15px;
							&.last{
								margin-right: 12px;
							}
						}
					}
				}
				.votos{
					width: 30%;
					text-align: right;
					p{
						font-weight: 600;
						color: #fff;
						text-shadow: 0px 3px 6px #00000080;
						letter-spacing: 1px; 
						font-size: 18px;
					}
				}
			}
			.bg{
				  background-image: linear-gradient(to right, rgba(#222E3D,0.5)20%, transparent, rgba(#fff,0.2));
			}
		}
	}	
	.siguiente_voto{
		position: absolute;
		bottom: 12px;
		right: 12px;
		a{
			text-decoration: none;
		}
		p{
			background-color: $amarillo;
			text-transform: uppercase;
			color: #000;
			font-size: 18px;
			line-height: 28px;
			font-weight: 600;
			letter-spacing: 1px;
			padding: 5px 30px;
			cursor: pointer;
		}
	}
}
.cambiar{
	width: 100vw;
	height: 100vh;
	display: none;
	position: absolute;
	top: 0;
	z-index: 999;
	justify-content: center;
	align-items: center;
	background-color: #000;
	.textos{
		width: 100%;
		display: block;
		max-width: 80%;
		margin: 0 auto;
		text-align: center;
		h2{
			font-size: 22px;
			color: #fff;
			letter-spacing: 1px;
			font-weight: bold;
			margin-top: 20px;
		}
	}
}
@media only screen and (max-width: 1080px) {
	.contenedor_personajes .personajes{
		max-width: 920px;
	}
	.contenedor_personajes .personajes .p__cont .slide .personajes_slide{
		justify-content: center;
		.p_item{
			width: 18%;
		}
	}
} 
@media only screen and (max-width: 960px) {
	.personaje__view .personaje__cont .personaje .personaje_img img, .personaje__view_random .personaje__cont .personaje .personaje_img img{
		width: 70%;
	}
	.bx-wrapper .bx-prev{
		left: 0 !important;
	}
	.contenedor_personajes .personajes{
		max-width: 840px;
	}
	.bx-wrapper .bx-next{
		right: 0 !important;
	}
	.contenedor_personajes .personajes .p__cont .slide .personajes_slide{
		max-width: 840px;
	}
	.ranking_personajes .rp_cont .top .imagen img{
		width: 80%;
		margin: 0 auto;
	}
}
@media only screen and (max-width: 820px) {
	.personaje__view .personaje__cont .personaje, .personaje__view_random .personaje__cont .personaje{
		width: 100%;
	}
	.contenedor_personajes .personajes{
		max-width: 620px;
	}
	.contenedor_personajes .personajes .p__cont .slide .personajes_slide{
		max-width: 620px;
	}
	.bx-wrapper .bx-next{
		right: -40px !important;
	}
	.bx-wrapper .bx-prev{
		left: -20px !important;
	}
	.ranking_personajes .rp_cont .top{
		width: 30%;
		 .imagen img{
		 	width: 100%;
		 }
	}
	.ranking_personajes .rp_cont .clasificacion{
		width: 70%;
	}
	.ranking_personajes .rp_cont .clasificacion .encabezado{
		margin-bottom: 0;
	}
	.ranking_personajes .rp_cont .clasificacion .lista .nombre p{
		font-size: 14px;
	}
	.ranking_personajes .rp_cont .clasificacion .lista .votos p{
		font-size: 14px;
	}
	.ranking_personajes{
		padding: 10px 20px;
	}
	.ranking_personajes .siguiente_voto{
		bottom: 5px;
		right: 20px;
	}
}
@media only screen and (max-width: 680px) {
	.personaje__view_random .personaje__cont{
		width: 100%;
		height: 100%;
	}
	.personaje__view .personaje__cont .personaje .p__descripcion p, .personaje__view_random .personaje__cont .personaje .p__descripcion p{
		font-size: 14px;
		line-height: 15px;
	}
	.contenedor_personajes .personajes{
		max-width: 540px;
	}
	.contenedor_personajes .personajes .p__cont .slide .personajes_slide{
		max-width: 540px;
	}
	// .bx-wrapper .bx-next{
	// 	right: 0px !important;
	// }
	// .bx-wrapper .bx-prev{
	// 	left:0px !important;
	// }
	.ranking_personajes .rp_cont .clasificacion{
		height: 200px;
		overflow-y: scroll;
	}
}
@media only screen and (max-width: 580px) {
		.contenedor_personajes .personajes{
		max-width: 480px;
	}
	.contenedor_personajes .personajes .p__cont .slide .personajes_slide{
		max-width: 480px;
	}
}